Skip to navigation

Bulk updates information for users

View as Markdown

Bulk updates information for existing users.

Your CSV import file is made up of a header row with the column headers and a row of user or account data for each user you want to add to an account.

Update limit: You can update up to 2,000 users on an account and include up to 50 accounts per import. The maximum number of updated users per import is 8,000.

This method requires the following HTTP headers:

HeaderValue
Content-Typetext/csv
Content-Dispositionfilename=filename.csv

To ensure your CSV is properly formatted, use the Sample Bulk Update CSV file as a template. The following table describes the columns.

Note that the columns for bulk adding users and bulk update users are slightly different. The update CSV file requires an APIUserName column, and does not have an AutoActivate column.

ColumnRequiredDescription
AccountIDyesThe 32-character API account ID of the user’s account in your organization. You can find this value in the API and Keys section of the Admin area of the account.
AccountNameThe name of the user’s account in your organization. The account name must match the account ID provided.
FirstNameyesThe user’s first name.
LastNameyesThe user’s last name.
UserEmailyesThe user’s complete email address.
PermissionSetyesThe user’s permission set. The PermissionSet value must match an existing permission set for the account. This value is not case sensitive.
UserTitleThe user’s job title.
CompanyNameThe user’s company name.
GroupThe user’s assigned groups. The Group values must match existing Group names for the account. Additional Group columns can be added to the file to add users to more than one group. You do not need to add users to the Everyone group, since all new users are automatically added to that group.
AddressLine1The user’s address, first line.
AddressLine2The user’s address, second line.
CityThe user’s city name.
StateRegionProvinceThe user’s regional location.
PostalCodeThe user’s postal code.
PhoneThe user’s phone number.
LanguageThe user’s display language for their Docusign account. Must be one of:
  • Chinese Simplified: zh_CN
  • Chinese Traditional: zh_TW
  • Dutch: nl
  • English: en
  • French: fr
  • German: de
  • Italian: it
  • Japanese: ja
  • Korean: ko
  • Portuguese: pt
  • Portuguese Brazil: pt_BR
  • Russian: ru
  • Spanish: es
LoginPolicyThe user’s login policy. Valid values include the following:
  • Column left blank = The user is created with no policy assigned.
  • FedAuthRequired = The user must log in with an Identity Provider.
  • FedAuthBypass = The user may log in with an Identity Provider or their Docusign username and password.
For more information on login policies, see Setting User Login Policy.
AutoActivateFor domain users, new users can be activated automatically for domain accounts using SSO by setting the value to true. The user is activated automatically once the import is complete. Memberships activated in this way do not receive an activation email.

Updating user email addresses

Changing a user’s email address should be done carefully. The user’s email address is used to log in to Docusign and receive documents to sign from others. Once changed, existing documents that were sent or received:

  • Will still appear in the user’s documents list.
  • Notifications about these documents will be sent to the new email address. If someone sends a new document to the old email address:
  • Docusign will send a notification to the old address.
  • It will not appear in the documents list of the account.

This change of email address will be applied to all of the user’s account memberships.

Required authentication scopes: user_write.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid

Request

This endpoint expects a multipart form containing a file.
file.csvfileRequired
CSV file.

Response

OK
idstringOptionalformat: "uuid"
typestringOptional
requestorobjectOptional
createddatetimeOptional
last_modifieddatetimeOptional
statusstringOptional
Status.
user_countintegerOptional
processed_user_countintegerOptional
added_user_countintegerOptional
updated_user_countintegerOptional
closed_user_countintegerOptional
no_action_required_user_countintegerOptional
error_countintegerOptional
warning_countintegerOptional
invalid_column_headersstringOptional
imports_not_found_or_not_available_for_accountsstringOptional
imports_failed_for_accountsstringOptional
imports_timed_out_for_accountsstringOptional
imports_not_found_or_not_available_for_sitesstringOptional
imports_failed_for_sitesstringOptional
imports_timed_out_for_sitesstringOptional
file_level_error_rollupslist of objectsOptional
user_level_error_rollupslist of objectsOptional
user_level_warning_rollupslist of objectsOptional
has_csv_resultsbooleanOptional
results_uristringOptional